tremc(1)

NAME
tremc - a console client for the Transmission BitTorrent client

SYNOPSIS
tremc [options] [filename-or-URL]

DESCRIPTION
tremc is a curses interface for the Transmission BitTorrent daemon.
If a filename or an URL, is given on the command line it is passed (preceded by -a) to transmission-remote, so that the torrent is added.
If -- followed by any options appears on the command line, the following options are passed to transmission-remote, together with server and authentication information.
Otherwise, the main curses interface opens.

OPTIONS

--version
    Show version number and exit

-h --help
    Show usage information and a list of options

-c CONNECTION --connect=CONNECTION
    Point to the server. CONNECTION must match the following pattern:
    [username[:password]@]host[:port][path]
    Default: localhost:9091

-s --ssl
    Use SSL to connect to the server.
    Default: don't use SSL

--create-config
    Create configuration file with default values.
    NOTE: A config file won't be created unless you provide this option at least once.

-f CONFIGFILE --config=CONFIGFILE
    Set path to configuration file. if not creating a config file, and CONFIGFILE does not exist (and contains no slashes), the config directory is also searched for CONFIGFILE or CONFIGFILE.cfg.
    Default: ~/.config/tremc/settings.cfg

-l --list-actions
    List available actions for key mapping.

-k --list-keys
    List key names for key mapping.

-n --netrc
    Get authentication info from ~/.netrc.

-X, --skip-version-check, --permissive
    Proceed even if the running transmission daemon seems incompatible, or the terminal is too small.

-p PROFILE --profile PROFILE
    Select profile to use.

-r --reverse-dns
    Toggle display of reverse DNS of peers addresses.
    Default: on, but may be set in the config file.

-d [LOGIFLE] --debug [LOGIFLE]
    Enable debugging messages to stderr, or to LOGFILE if provided.

-- OPTIONS
    Use the known server connection to pass OPTIONS on to transmission-remote.

FILES

~/.config/tremc/settings.cfg

SEE ALSO
transmission-create(1), transmission-daemon(1), transmission-edit(1), transmission-gtk(1), transmission-qt(1), transmission-remote(1), transmission-show(1).